package com.almworks.jira.structure.api.job;

/**
 * <p>This exception may be thrown from the {@link StructureJob#job} method to indicate that the
 * job cannot complete now, but may be able to complete soon. For example, this exception may
 * be thrown when the job cannot obtain a lock.</p>
 *
 * <p>Job manager, when it sees this exception, reschedules the job for execution at a later time.</p>
 *
 * @author Igor Sereda
 */
public class TemporaryJobException extends Exception {
  public TemporaryJobException() {
  }

  public TemporaryJobException(String message) {
    super(message);
  }
}
