/**
 * <p>
 * This package contains API for the Structure plugin.
 * </p>
 * <p>
 *  The following is the list of major services you might need to work with:
 *  </p>
 *  <ul>
 *  <li>{@link StructureManager} lets you create, delete and update instances of {@link Structure}.
 *  The hierarchy of issues associated with a structure is represented by {@link com.almworks.jira.structure.api.forest.Forest} class, which
 *  is also managed via StructureManager interface.</li>
 *  <li>{@link StructureConfiguration} manages the configuration of the plugin, typically set up by JIRA admin.</li>
 *  <li>{@link com.almworks.jira.structure.api.sync.StructureSyncManager} lets you work with synchronizers.</li>
 *  <li>{@link com.almworks.jira.structure.api.backup.StructureBackupManager} lets you automate structure backup.</li>
 *  </ul>
 *  <p>
 *  There are other services that you can use - all of them are accessible from {@link StructureServices}
 *  interface or via direct injection.
 *  </p>
 *  <p>
 *  The details of using Structure API may be found in the <a href="http://wiki.almworks.com/display/structure/Structure+Developer%27s+Guide">Structure Documentation</a>.
 *  </p>
 *
 */
package com.almworks.jira.structure.api;