package com.almworks.jira.structure.api.sync;

/**
 * <p>Defines two possible directions for the full synchronization.</p>
 *
 * <p><code>INBOUND</code> direction means the data is taken from issues or external system
 * and applied to structure.</p>
 *
 * <p><code>OUTBOUND</code> direction means the data is taken from structure and applied
 * to issues or to external system.</p>
 *
 * @author Igor Sereda
 */
public enum SyncDirection {
  /**
   * <p><code>INBOUND</code> direction means the data is taken from issues or external system
   * and applied to structure.</p>
   */
  INBOUND,

  /**
   * <p><code>OUTBOUND</code> direction means the data is taken from structure and applied
   * to issues or to external system.</p>
   */
  OUTBOUND;

  public static final String CODE_OUTBOUND = "FROM";
  public static final String CODE_INBOUND = "TO";
}